<p class="topic">
Indexes
</p>

<p class="text">
Use the tables contained by this tab to set up the indexes for your database. Browsing indexes are set up on the Directory tab of the Directory Server Console. 
</p>

<p class="text">
This tab displays two sets of indexes, system indexes and additional indexes.
</p>

<p class="text">
<b>System Indexes (Read-Only).</b> Directory Server creates system indexes by default. They are used internally by the server and cannot be removed.
</p>

<p class="text">
<b>Additional Indexes</b>. You can specify a standard set of indexes for Directory Server to maintain.
</p>

<ul>
<li>
<b>Attribute name. </b>Contains the name of the attribute to be indexed.
</li>

<li>
<b>Approximate.</b> Select this checkbox to configure the server to create and maintain an approximate, or "sounds-like," index for the attribute; clear this checkbox to discontinue indexing on this attribute.
</li>

<li>
<b>Equality.</b> Select this checkbox to configure the server to create and maintain an equality index for the attribute; clear this checkbox to discontinue indexing on this attribute.
</li>

<li>
<b>Presence.</b> Select this checkbox to configure the server to create and maintain a presence index for the attribute; clear this checkbox to discontinue indexing on this attribute.
</li>

<li>
<b>Substring.</b> Select this checkbox to configure the server to create and maintain a substring index for the attribute; clear this checkbox to discontinue indexing on this attribute.
</li>

<li>
<b>Matching rule.</b> Enter the matching rule OID (if any) you want the server to use when client applications search the directory using this attribute. 
</li>
</ul>

<p class="text">
<b>Add attribute.</b> If the attribute you want to index is not listed in the table, click the "Add Attribute" button. This brings up the Select Attribute dialog box. Select the attribute you want to add and click OK.
</p>

<p class="text">
<b>Delete attribute.</b> To remove all of the indexes for a particular attribute, select the attribute in the table, click Delete Attribute, and then click Save.
</p>
